package com.joe.print.mvp.ui.adapter;

import androidx.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.joe.print.R;
import com.joe.print.mvp.model.bean.PrintBillBean;

import java.util.List;

/**
 * Created by Wyh on 2020/1/16.
 */
public class BillItemAdapter extends BaseQuickAdapter<PrintBillBean, BaseViewHolder> {

    public BillItemAdapter(@Nullable List<PrintBillBean> data) {
        super(R.layout.print_bill_adapter_item_bill, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, PrintBillBean item) {
        helper.setText(R.id.print_bill_name, item.getBillName());
        helper.setText(R.id.print_bill_value, item.getBillAmount());
    }
}
